<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

add_action( 'tgmpa_register', 'zephys_register_required_plugins' );

if(!function_exists('lasf_get_plugin_source')){
	function lasf_get_plugin_source( $new, $initial, $plugin_name, $type = 'source'){
		if(isset($new[$plugin_name], $new[$plugin_name][$type]) && version_compare($initial[$plugin_name]['version'], $new[$plugin_name]['version']) < 0 ){
			return $new[$plugin_name][$type];
		}
		else{
			return $initial[$plugin_name][$type];
		}
	}
}

if(!function_exists('zephys_register_required_plugins')){

	function zephys_register_required_plugins() {

		$initial_required = array(
			'lastudio' => array(
				'source'    => 'https://la-studioweb.com/file-resouces/zephys/plugins/lastudio_v2.0.5.zip',
				'version'   => '2.0.5'
			),
			'lastudio-elements' => array(
				'source'    => 'https://la-studioweb.com/file-resouces/zephys/plugins/lastudio-elements_v1.1.2.zip',
				'version'   => '1.1.2'
			),
			'lastudio-header-builders' => array(
				'source'    => 'https://la-studioweb.com/file-resouces/zephys/plugins/lastudio-header-builders_v1.1.7.zip',
				'version'   => '1.1.7'
			),
            'revslider' => array(
                'source'    => 'https://la-studioweb.com/shared/plugins/revslider_v6.7.11.zip',
                'version'   => '6.7.11'
            ),
			'zephys-demo-data' => array(
				'source'    => 'https://la-studioweb.com/file-resouces/zephys/plugins/zephys-demo-data_v1.0.1.zip',
				'version'   => '1.0.1'
			),
			'lastudio-wpjm' => array(
				'source'    => 'https://la-studioweb.com/file-resouces/zephys/plugins/lastudio-wpjm_v1.0.2.zip',
				'version'   => '1.0.2'
			)
		);

		$from_option = get_option('zephys_required_plugins_list', $initial_required);

		$plugins = array();

		$plugins['lastudio'] = array(
			'name'					=> esc_html_x('LA-Studio Core', 'admin-view', 'zephys'),
			'slug'					=> 'lastudio',
			'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio'),
			'required'				=> true,
			'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio', 'version')
		);

		$plugins['lastudio-header-builders'] = array(
			'name'					=> esc_html_x('LA-Studio Header Builder', 'admin-view', 'zephys'),
			'slug'					=> 'lastudio-header-builders',
			'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-header-builders'),
			'required'				=> true,
			'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-header-builders', 'version')
		);


        $plugins['elementor'] = array(
            'name' 					=> esc_html_x('Elementor', 'admin-view', 'zephys'),
            'slug' 					=> 'elementor',
            'required' 				=> true,
            'version'				=> '3.21.7'
        );

		$plugins['lastudio-elements'] = array(
			'name'					=> esc_html_x('LaStudio Elements For Elementor', 'admin-view', 'zephys'),
			'slug'					=> 'lastudio-elements',
			'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-elements'),
			'required'				=> true,
			'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-elements', 'version')
		);

		$plugins['woocommerce'] = array(
			'name'     				=> esc_html_x('WooCommerce', 'admin-view', 'zephys'),
			'slug'     				=> 'woocommerce',
			'version'				=> '8.9.1',
			'required' 				=> false
		);
        
        $plugins['zephys-demo-data'] = array(
			'name'     				=> esc_html_x('Zephys Package Demo Data', 'admin-view', 'zephys'),
			'slug'					=> 'zephys-demo-data',
			'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'zephys-demo-data'),
			'required'				=> false,
			'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'zephys-demo-data', 'version')
		);

		$plugins['envato-market'] = array(
			'name'     				=> esc_html_x('Envato Market', 'admin-view', 'zephys'),
			'slug'     				=> 'envato-market',
			'source'   				=> 'https://envato.github.io/wp-envato-market/dist/envato-market.zip',
			'required' 				=> false,
			'version' 				=> '2.0.11'
		);

		$plugins['contact-form-7'] = array(
			'name' 					=> esc_html_x('Contact Form 7', 'admin-view', 'zephys'),
			'slug' 					=> 'contact-form-7',
			'required' 				=> false
		);

		$plugins['revslider'] = array(
			'name'					=> esc_html_x('Slider Revolution', 'admin-view', 'zephys'),
			'slug'					=> 'revslider',
			'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'revslider'),
			'required'				=> false,
			'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'revslider', 'version')
		);

        $plugins['wp-job-manager'] = array(
            'name' 					=> esc_html_x('WP Job Manager', 'admin-view', 'zephys'),
            'slug' 					=> 'wp-job-manager',
            'required' 				=> false
        );

        $plugins['wp-job-manager-contact-listing'] = array(
            'name' 					=> esc_html_x('Contact Listing for WP Job Manager', 'admin-view', 'zephys'),
            'slug' 					=> 'wp-job-manager-contact-listing',
            'required' 				=> false
        );

        $plugins['lastudio-wpjm'] = array(
            'name'					=> esc_html_x('LaStudio Job Advanced', 'admin-view', 'zephys'),
            'slug'					=> 'lastudio-wpjm',
			'source'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-wpjm'),
			'required'				=> false,
			'version'				=> lasf_get_plugin_source($from_option, $initial_required, 'lastudio-wpjm', 'version')
        );

        $plugins[] = array(
            'name'     				=> esc_html_x('Smash Balloon Social Photo Feed', 'admin-view', 'zephys'),
            'slug'     				=> 'instagram-feed',
            'required' 				=> false,
        );

		$config = array(
			'id'           				=> 'zephys',
			'default_path' 				=> '',
			'menu'         				=> 'tgmpa-install-plugins',
			'has_notices'  				=> true,
			'dismissable'  				=> true,
			'dismiss_msg'  				=> '',
			'is_automatic' 				=> false,
			'message'      				=> ''
		);

		tgmpa( $plugins, $config );

	}

}
